Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.convert.converters
Class ObjectToArray

    java.lang.Object
      org.springframework.binding.convert.converters.ObjectToArray

All Implemented Interfaces:
  Converter

    public class ObjectToArray

extends java.lang.Object
implements Converter

Special two-way converter that converts an object to an single-element array. Mainly used internally by `ConversionService` implementations.

Author:
  Keith Donald

Constructor Summary
`ObjectToArray(ConversionExecutor elementConverter)` Creates a new object to array converter.
`ObjectToArray(ConversionService conversionService)` Creates a new object to array converter.

Method Summary
`java.lang.Object` | `convertSourceToTargetClass(java.lang.Object source, java.lang.Class targetClass)` Convert the provided source object argument to an instance of the specified target class.
`java.lang.Class` | `getSourceClass()` The source class this converter can convert from.
`java.lang.Class` | `getTargetClass()` The target class this converter can convert to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectToArray

    public ObjectToArray(ConversionService conversionService)

  Creates a new object to array converter.

  Parameters:
    `conversionService` - the conversion service to resolve the converter to use to convert the object added to the target array.

### ObjectToArray

    public ObjectToArray(ConversionExecutor elementConverter)

  Creates a new object to array converter.

  Parameters:
    `elementConverter` - a specific converter to use to convert the object added to the target array.

Method Detail

### getSourceClass

    public java.lang.Class getSourceClass()

  Description copied from interface: `Converter`
  The source class this converter can convert from. May be an interface or abstract type to allow this converter to convert specific subclasses as well.

  Specified by:
    `getSourceClass` in interface `Converter`
  Returns:
    the source type

### getTargetClass

    public java.lang.Class getTargetClass()

  Description copied from interface: `Converter`
  The target class this converter can convert to. May be an interface or abstract type to allow this converter to convert specific subclasses as well.

  Specified by:
    `getTargetClass` in interface `Converter`
  Returns:
    the target type

### convertSourceToTargetClass

    public java.lang.Object convertSourceToTargetClass(java.lang.Object source,
                                                       java.lang.Class targetClass)
                                                throws java.lang.Exception

  Description copied from interface: `Converter`
  Convert the provided source object argument to an instance of the specified target class.

  Specified by:
    `convertSourceToTargetClass` in interface `Converter`
  Parameters:
    `source` - the source object to convert, which must be an instance of `Converter.getSourceClass()`
    `targetClass` - the target class to convert the source to, which must be equal to or a specialization of `Converter.getTargetClass()`
  Returns:
    the converted object, which must be an instance of the `targetClass`
  Throws:
    `java.lang.Exception` - an exception occurred performing the conversion

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD